com.romix.scala

## Class Option<V>

- java.lang.Object
- - com.romix.scala.Option<V>

Type Parameters:
  `V` -

Direct Known Subclasses:
  None, Some

    public class Option<V>
    extends Object

Mimic Option in Scala

### Constructor Summary

Constructors
Constructor and Description
`Option()`

### Method Summary

Methods
`static <V> Option<V>` `makeOption()`
`static <V> Option<V>` `makeOption(V o)`
`boolean` `nonEmpty()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Option

    public Option()

### Method Detail

#### makeOption

    public static <V> Option<V> makeOption(V o)

#### makeOption

    public static <V> Option<V> makeOption()

#### nonEmpty

    public boolean nonEmpty()

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015